Gentoo Archives: gentoo-commits

From: "Arfrever Frehtes Taifersar Arahesis (arfrever)" <arfrever@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in dev-libs/libgcrypt: ChangeLog libgcrypt-1.4.6.ebuild
Date: Sun, 16 Jan 2011 19:48:00
Message-Id: 20110116194750.8393920054@flycatcher.gentoo.org
arfrever    11/01/16 19:47:50

  Modified:             ChangeLog libgcrypt-1.4.6.ebuild
  Log:
  Add "static-libs" USE flag.
  
  (Portage version: 2.2.0_alpha15_p10/cvs/Linux x86_64)

Revision  Changes    Path
1.143                dev-libs/libgcrypt/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libgcrypt/ChangeLog?rev=1.143&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libgcrypt/ChangeLog?rev=1.143&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libgcrypt/ChangeLog?r1=1.142&r2=1.143

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-libs/libgcrypt/ChangeLog,v
retrieving revision 1.142
retrieving revision 1.143
diff -u -r1.142 -r1.143
--- ChangeLog	16 Oct 2010 15:43:31 -0000	1.142
+++ ChangeLog	16 Jan 2011 19:47:50 -0000	1.143
@@ -1,6 +1,10 @@
 # ChangeLog for dev-libs/libgcrypt
-# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/libgcrypt/ChangeLog,v 1.142 2010/10/16 15:43:31 arfrever Exp $
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/libgcrypt/ChangeLog,v 1.143 2011/01/16 19:47:50 arfrever Exp $
+
+  16 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@g.o>
+  libgcrypt-1.4.6.ebuild:
+  Add "static-libs" USE flag.
 
   16 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@g.o>
   -libgcrypt-1.4.5.ebuild:



1.10                 dev-libs/libgcrypt/libgcrypt-1.4.6.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libgcrypt/libgcrypt-1.4.6.ebuild?rev=1.10&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libgcrypt/libgcrypt-1.4.6.ebuild?rev=1.10&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-libs/libgcrypt/libgcrypt-1.4.6.ebuild?r1=1.9&r2=1.10

Index: libgcrypt-1.4.6.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-libs/libgcrypt/libgcrypt-1.4.6.ebuild,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- libgcrypt-1.4.6.ebuild	16 Oct 2010 15:16:18 -0000	1.9
+++ libgcrypt-1.4.6.ebuild	16 Jan 2011 19:47:50 -0000	1.10
@@ -1,10 +1,10 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/libgcrypt/libgcrypt-1.4.6.ebuild,v 1.9 2010/10/16 15:16:18 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/libgcrypt/libgcrypt-1.4.6.ebuild,v 1.10 2011/01/16 19:47:50 arfrever Exp $
 
-EAPI="2"
+EAPI="3"
 
-inherit autotools eutils flag-o-matic toolchain-funcs
+inherit autotools eutils
 
 DESCRIPTION="General purpose crypto library based on the code used in GnuPG"
 HOMEPAGE="http://www.gnupg.org/"
@@ -14,7 +14,7 @@
 LICENSE="LGPL-2.1"
 SLOT="0"
 KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
-IUSE=""
+IUSE="static-libs"
 
 RDEPEND=">=dev-libs/libgpg-error-1.5"
 DEPEND="${RDEPEND}"
@@ -32,10 +32,11 @@
 		--disable-padlock-support \
 		--disable-dependency-tracking \
 		--with-pic \
-		--enable-noexecstack
+		--enable-noexecstack \
+		$(use_enable static-libs static)
 }
 
 src_install() {
 	emake DESTDIR="${D}" install || die "emake install failed"
-	dodoc AUTHORS ChangeLog NEWS README* THANKS TODO
+	dodoc AUTHORS ChangeLog NEWS README* THANKS TODO || die "dodoc failed"
 }